import { GetDefaultFieldNamesFn } from '@graphiql/toolkit';
import { DocumentNode, OperationDefinitionNode } from 'graphql';
import { VariableToType } from 'graphql-language-service';
import { ReactNode } from 'react';
import { CodeMirrorEditor } from './types';
export declare type CodeMirrorEditorWithOperationFacts = CodeMirrorEditor & {
    documentAST: DocumentNode | null;
    operationName: string | null;
    operations: OperationDefinitionNode[] | null;
    variableToType: VariableToType | null;
};
export declare type EditorContextType = {
    autoCompleteLeafs(): string | undefined;
    copy(): void;
    merge(): void;
    prettify(): void;
    headerEditor: CodeMirrorEditor | null;
    queryEditor: CodeMirrorEditorWithOperationFacts | null;
    responseEditor: CodeMirrorEditor | null;
    variableEditor: CodeMirrorEditor | null;
    setHeaderEditor(newEditor: CodeMirrorEditor): void;
    setQueryEditor(newEditor: CodeMirrorEditorWithOperationFacts): void;
    setResponseEditor(newEditor: CodeMirrorEditor): void;
    setVariableEditor(newEditor: CodeMirrorEditor): void;
};
export declare const EditorContext: import("react").Context<EditorContextType>;
declare type EditorContextProviderProps = {
    children: ReactNode;
    getDefaultFieldNames?: GetDefaultFieldNamesFn;
    onCopyQuery?(query: string): void;
};
export declare function EditorContextProvider(props: EditorContextProviderProps): JSX.Element;
export {};
