import { GraphQLSchema } from 'graphql';
import { RefObject } from 'react';
import { CodeMirrorEditorWithOperationFacts } from './context';
import { CodeMirrorEditor } from './types';
export declare function useSynchronizeValue(editor: CodeMirrorEditor | null, value: string | undefined): void;
export declare type EditCallback = (value: string) => void;
export declare function useChangeHandler(editor: CodeMirrorEditor | null, callback: EditCallback | undefined, storageKey: string | null): void;
export declare function useCompletion(editor: CodeMirrorEditor | null): void;
export declare type EmptyCallback = () => void;
export declare function useKeyMap(editor: CodeMirrorEditor | null, keys: string[], callback: EmptyCallback | undefined): void;
export declare function useResizeEditor(editor: CodeMirrorEditor | null, ref: RefObject<HTMLDivElement>): void;
export declare function useCopyQuery({ queryEditor, onCopyQuery, }: {
    queryEditor: CodeMirrorEditorWithOperationFacts | null;
    onCopyQuery?(query: string): void;
}): () => void;
export declare function useMergeQuery({ queryEditor, schema, }: {
    queryEditor?: CodeMirrorEditorWithOperationFacts | null;
    schema: GraphQLSchema | null | undefined;
}): () => void;
export declare function usePrettifyEditors({ queryEditor, variableEditor, headerEditor, }: {
    queryEditor: CodeMirrorEditorWithOperationFacts | null;
    variableEditor: CodeMirrorEditor | null;
    headerEditor: CodeMirrorEditor | null;
}): () => void;
